--- title: "VoiceBot Smart Trigger" slug: "server-api-bot-voicebot-smart-trigger" updated: 2022-07-12T03:33:56Z published: 2022-07-12T03:33:56Z canonical: "developer.comm100.com/server-api-bot-voicebot-smart-trigger" --- > ## Documentation Index > Fetch the complete documentation index at: https://developer.comm100.com/llms.txt > Use this file to discover all available pages before exploring further. # VoiceBot Smart Trigger ## Voicebot Smart Trigger - `Voicebot Smart Triggers` - Voicebot Smart Triggers Manage - `GET voicebot/voicebots/{id}/voicebotSmartTriggers` - [Get the list of Voicebot Smart Triggers](/docs/server-api-bot-voicebot-smart-trigger#get-the-list-of-voicebot-smart-triggers) - `GET voicebot/voicebotSmartTriggers/{id}` - [Get a single Voicebot Smart Trigger](/docs/server-api-bot-voicebot-smart-trigger#get-a-single-voicebot-smart-trigger) - `POST voicebot/voicebotSmartTriggers` - [Create a new Voicebot Smart Trigger](/docs/server-api-bot-voicebot-smart-trigger#create-a-new-voicebot-smart-trigger) - `PUT voicebot/voicebotSmartTriggers/{id}` - [Update the Voicebot Smart Trigger](/docs/server-api-bot-voicebot-smart-trigger#update-the-voicebot-smart-trigger) - `DELETE voicebot/voicebotSmartTriggers/{id}` - [Remove the Voicebot Smart Trigger](/docs/server-api-bot-voicebot-smart-trigger#remove-the-voicebot-smart-trigger) - `Voicebot Response` - Voicebot Response Manage - `GET voicebot/voicebotResponses` - [Get the list of Voicebot Response](/docs/server-api-bot-voicebot-smart-trigger#get-the-list-of-voicebot-response) - `GET voicebot/voicebotResponses/{id}` - [Get a single Voicebot Response](/docs/server-api-bot-voicebot-smart-trigger#get-a-single-voicebot-response) - `POST voicebot/voicebotResponses` - [Create a new Voicebot Response](/docs/server-api-bot-voicebot-smart-trigger#create-a-new-voicebot-response) - `PUT voicebot/voicebotResponses/{id}` - [Update the Voicebot Response](/docs/server-api-bot-voicebot-smart-trigger#update-the-voicebot-response) - `DELETE voicebot/voicebotResponses/{id}` - [Remove the Voicebot Response](/docs/server-api-bot-voicebot-smart-trigger#remove-the-voicebot-response) ### Voicebot Smart Trigger JSON Format Voicebot Smart Trigger is represented as simple flat JSON objects with the following keys: | Name | Type | Description | | --- | --- | --- | | `trigger` | enum | Allowed values are `flowFinished`, `notRecognized`, `callStarts`. | | `voicebotResponseId` | guid | Id of the voicebot Response. | | `voicebotId` | guid | Id of the voicebot. | | `id` | guid | Id of the voicebot smart trigger. | | `voicebotResponse` | [voicebotResponse](/docs/server-api-bot-voicebot-smart-trigger#voicebot-response-json-format) | Reference to Voicebot Response. | ### Get the list of Voicebot Smart Triggers `GET voicebot/voicebots/{id}/voicebotSmartTriggers` - #### Parameters: | Name | Type | in | Required | Description | | --- | --- | --- | --- | --- | | `include` | string | query | no | Allowed value is `voicebotResponse`. | - #### Response: An array of [Voicebot Smart Trigger](/docs/server-api-bot-voicebot-smart-trigger#voicebot-smart-trigger-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/voicebot/voicebots/44018834-86bf-4109-8061-afe3f98733f1/voicebotSmartTriggers \ -X 'GET' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` [ { "trigger": "", "voicebotResponseId": "", "voicebotId": "", "id": "44018834-86bf-4109-8061-afe3f98733f1", "voicebotResponse": { "id": "44018834-86bf-4109-8061-afe3f98733f1", "voicebotActions": [ { "xPosition": 1, "yPosition": 1, "id": "44018834-86bf-4109-8061-afe3f98733f1", "type": "", "voicebotResponseId": "", "voicebotActionClearValue": { "variableNames": [ "" ], "voicebotActionId": "", "nextActionId": "f526f2fc-49a6-4e20-b954-e0d22824d017" }, "voicebotActionCollectDTMFDigits": { "message": "", "variableName": "", "numberOfDigits": 1, "stopGatherAfterPressKey": "", "voicebotActionId": "", "nextActionId": "d486a8a3-35f9-42fe-ab16-d9b44786e41b" }, "voicebotActionCollectSpeechResponse": { "message": "", "variableName": "", "lowSTTConfidenceMessage": "", "lowSTTConfidenceRepeatTimes": 1, "isConfirmationRequired": true, "confirmationMessage": "", "confirmationText": "", "confirmationKey": "", "voicebotActionId": "", "actionIdWhenLowSTTConfidence": "eefe4538-bec3-47ef-89ea-879b59a16941", "nextActionId": "33d7d509-15e0-4366-a5e0-373a0156b491" }, "voicebotActionCondition": { "otherCaseActionId": "7396de03-33b3-4358-be0c-5c1b243d6950", "voicebotActionId": "", "voicebotActionConditionCases": [ { "logicalExpression": "", "goToActionId": "28593b3e-26a6-46af-bb2b-b8919b30ce39", "conditionExpressionType": "", "voicebotActionId": "", "id": "deef4e3a-932d-4c8e-9c9e-e63419ff8dc4", "order": 1, "voicebotActionConditionCaseConditions": [ { "voicebotActionConditionCaseId": "", "order": 1, "operator": "", "fieldName": "{!Variable.Name}", "value": "", "id": "5b8d5c3a-2f16-4c9f-bfb6-4767d7b0db8a" } ] } ] }, "voicebotActionEndCall": { "voicebotActionId": "" }, "voicebotActionGoToIntent": { "intentId": "ffa760a6-def3-4517-a399-49a5b0fb169e", "voicebotActionId": "" }, "voicebotActionIVRMenu": { "voicebotActionId": "", "actionIdWhenInvalidInput": "9ffce41d-260c-4df0-a0e7-95136c4fadf2", "message": "", "invalidInputMessage": "", "invalidInputRepeatTime": 1, "voicebotActionIVRMenuOptions": [ { "id": "d486a8a3-35f9-42fe-ab16-d9b44786e41b", "voicebotActionId": "", "nextActionId": "6c2be44f-c391-4454-8ebe-8d3503905e5a", "text": "", "key": "", "order": 1 } ] }, "voicebotActionPlayAudio": { "voicebotActionId": "", "nextActionId": "a1e714d7-4507-4879-b9d7-b5efb1643a49", "audioPath": "", "name": "" }, "voicebotActionPlayText": { "voicebotActionId": "", "nextActionId": "4e6b30bd-19fe-4041-bcdb-77fff0eb0d5c", "message": "" }, "voicebotActionSetVariableValue": { "variableName": "", "value": "", "nextActionId": "ffa760a6-def3-4517-a399-49a5b0fb169e", "voicebotActionId": "" }, "voicebotActionStart": { "voicebotActionId": "", "nextActionId": "f526f2fc-49a6-4e20-b954-e0d22824d017" }, "voicebotActionTransferCall": { "voicebotActionId": "", "actionIdWhenTransferFailed": "9ffce41d-260c-4df0-a0e7-95136c4fadf2", "transferTo": "" }, "voicebotActionWebhook": { "ifSendChatTranscript": true, "url": "", "voicebotActionId": "", "otherResponseToActionId": "64760a4e-d78e-4f7c-961d-fcbcb0cd9ea7", "additionalPostBody": "", "voicebotActionWebhookHeaders": [ { "value": "", "id": "44018834-86bf-4109-8061-afe3f98733f1", "order": 1, "key": "", "voicebotActionId": "" } ], "voicebotActionWebhookResponseCodeToActions": [ { "responseCode": "", "nextActionId": "44018834-86bf-4109-8061-afe3f98733f1", "order": 1, "id": "44018834-86bf-4109-8061-afe3f98733f1", "voicebotActionId": "" } ], "voicebotActionWebhookResponseToVariables": [ { "voicebotActionId": "", "order": 1, "id": "44018834-86bf-4109-8061-afe3f98733f1", "responseKey": "", "variableName": "" } ] } } ] } } ] ``` ### Get a single Voicebot Smart Trigger `GET voicebot/voicebotSmartTriggers/{id}` - #### Parameters: | Name | Type | in | Required | Description | | --- | --- | --- | --- | --- | | `include` | string | query | no | Allowed value is `voicebotResponse`. | - #### Response: [Voicebot Smart Trigger](/docs/server-api-bot-voicebot-smart-trigger#voicebot-smart-trigger-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/voicebot/voicebotSmartTriggers/44018834-86bf-4109-8061-afe3f98733f1 \ -X 'GET' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` { "trigger": "", "voicebotResponseId": "", "voicebotId": "", "id": "44018834-86bf-4109-8061-afe3f98733f1", "voicebotResponse": { "id": "44018834-86bf-4109-8061-afe3f98733f1", "voicebotActions": [ { "xPosition": 1, "yPosition": 1, "id": "44018834-86bf-4109-8061-afe3f98733f1", "type": "", "voicebotResponseId": "", "voicebotActionClearValue": { "variableNames": [ "" ], "voicebotActionId": "", "nextActionId": "f526f2fc-49a6-4e20-b954-e0d22824d017" }, "voicebotActionCollectDTMFDigits": { "message": "", "variableName": "", "numberOfDigits": 1, "stopGatherAfterPressKey": "", "voicebotActionId": "", "nextActionId": "d486a8a3-35f9-42fe-ab16-d9b44786e41b" }, "voicebotActionCollectSpeechResponse": { "message": "", "variableName": "", "lowSTTConfidenceMessage": "", "lowSTTConfidenceRepeatTimes": 1, "isConfirmationRequired": true, "confirmationMessage": "", "confirmationText": "", "confirmationKey": "", "voicebotActionId": "", "actionIdWhenLowSTTConfidence": "eefe4538-bec3-47ef-89ea-879b59a16941", "nextActionId": "33d7d509-15e0-4366-a5e0-373a0156b491" }, "voicebotActionCondition": { "otherCaseActionId": "7396de03-33b3-4358-be0c-5c1b243d6950", "voicebotActionId": "", "voicebotActionConditionCases": [ { "logicalExpression": "", "goToActionId": "28593b3e-26a6-46af-bb2b-b8919b30ce39", "conditionExpressionType": "", "voicebotActionId": "", "id": "deef4e3a-932d-4c8e-9c9e-e63419ff8dc4", "order": 1, "voicebotActionConditionCaseConditions": [ { "voicebotActionConditionCaseId": "", "order": 1, "operator": "", "fieldName": "{!Variable.Name}", "value": "", "id": "5b8d5c3a-2f16-4c9f-bfb6-4767d7b0db8a" } ] } ] }, "voicebotActionEndCall": { "voicebotActionId": "" }, "voicebotActionGoToIntent": { "intentId": "ffa760a6-def3-4517-a399-49a5b0fb169e", "voicebotActionId": "" }, "voicebotActionIVRMenu": { "voicebotActionId": "", "actionIdWhenInvalidInput": "9ffce41d-260c-4df0-a0e7-95136c4fadf2", "message": "", "invalidInputMessage": "", "invalidInputRepeatTime": 1, "voicebotActionIVRMenuOptions": [ { "id": "d486a8a3-35f9-42fe-ab16-d9b44786e41b", "voicebotActionId": "", "nextActionId": "6c2be44f-c391-4454-8ebe-8d3503905e5a", "text": "", "key": "", "order": 1 } ] }, "voicebotActionPlayAudio": { "voicebotActionId": "", "nextActionId": "a1e714d7-4507-4879-b9d7-b5efb1643a49", "audioPath": "", "name": "" }, "voicebotActionPlayText": { "voicebotActionId": "", "nextActionId": "4e6b30bd-19fe-4041-bcdb-77fff0eb0d5c", "message": "" }, "voicebotActionSetVariableValue": { "variableName": "", "value": "", "nextActionId": "ffa760a6-def3-4517-a399-49a5b0fb169e", "voicebotActionId": "" }, "voicebotActionStart": { "voicebotActionId": "", "nextActionId": "f526f2fc-49a6-4e20-b954-e0d22824d017" }, "voicebotActionTransferCall": { "voicebotActionId": "", "actionIdWhenTransferFailed": "9ffce41d-260c-4df0-a0e7-95136c4fadf2", "transferTo": "" }, "voicebotActionWebhook": { "ifSendChatTranscript": true, "url": "", "voicebotActionId": "", "otherResponseToActionId": "64760a4e-d78e-4f7c-961d-fcbcb0cd9ea7", "additionalPostBody": "", "voicebotActionWebhookHeaders": [ { "value": "", "id": "44018834-86bf-4109-8061-afe3f98733f1", "order": 1, "key": "", "voicebotActionId": "" } ], "voicebotActionWebhookResponseCodeToActions": [ { "responseCode": "", "nextActionId": "44018834-86bf-4109-8061-afe3f98733f1", "order": 1, "id": "44018834-86bf-4109-8061-afe3f98733f1", "voicebotActionId": "" } ], "voicebotActionWebhookResponseToVariables": [ { "voicebotActionId": "", "order": 1, "id": "44018834-86bf-4109-8061-afe3f98733f1", "responseKey": "", "variableName": "" } ] } } ] } } ``` ### Create a new Voicebot Smart Trigger `POST voicebot/voicebotSmartTriggers` - #### Parameters: | Name | Type | in | Required | Description | | --- | --- | --- | --- | --- | | `trigger` | enum | body | no | Allowed values are `flowFinished`, `notRecognized`, `callStarts`. | | `voicebotResponseId` | guid | body | no | Id of the voicebot Response. | | `voicebotId` | guid | body | yes | Id of the voicebot. | | `voicebotResponse` | [voicebotResponse](/docs/server-api-bot-voicebot-smart-trigger#voicebot-response-json-format) | body | no | Reference to Voicebot Response. | - #### Response: [Voicebot Smart Trigger](/docs/server-api-bot-voicebot-smart-trigger#voicebot-smart-trigger-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/voicebot/voicebotSmartTriggers \ -X 'POST' \ -H 'Authorization: Bearer {access_token}' \ -H 'Content-Type: application/json' \ -D '{"trigger":"","voicebotResponseId":"","voicebotId":"","voicebotResponse":{"voicebotActions":[{"xPosition":1,"yPosition":1,"type":"","voicebotActionClearValue":{"variableNames":[""],"nextActionId":"f526f2fc-49a6-4e20-b954-e0d22824d017"},"voicebotActionCollectDTMFDigits":{"message":"","variableName":"","numberOfDigits":1,"stopGatherAfterPressKey":"","nextActionId":"d486a8a3-35f9-42fe-ab16-d9b44786e41b"},"voicebotActionCollectSpeechResponse":{"message":"","variableName":"","lowSTTConfidenceMessage":"","lowSTTConfidenceRepeatTimes":1,"isConfirmationRequired":true,"confirmationMessage":"","confirmationText":"","confirmationKey":"","actionIdWhenLowSTTConfidence":"eefe4538-bec3-47ef-89ea-879b59a16941","nextActionId":"33d7d509-15e0-4366-a5e0-373a0156b491"},"voicebotActionCondition":{"otherCaseActionId":"7396de03-33b3-4358-be0c-5c1b243d6950","voicebotActionConditionCases":[{"logicalExpression":"","goToActionId":"28593b3e-26a6-46af-bb2b-b8919b30ce39","conditionExpressionType":"","order":1,"voicebotActionConditionCaseConditions":[{"order":1,"operator":"","fieldName":"{!Variable.Name}","value":""}]}]},"voicebotActionEndCall":{},"voicebotActionGoToIntent":{"intentId":"ffa760a6-def3-4517-a399-49a5b0fb169e"},"voicebotActionIVRMenu":{"actionIdWhenInvalidInput":"9ffce41d-260c-4df0-a0e7-95136c4fadf2","message":"","invalidInputMessage":"","invalidInputRepeatTime":1,"voicebotActionIVRMenuOptions":[{"nextActionId":"6c2be44f-c391-4454-8ebe-8d3503905e5a","text":"","key":"","order":1}]},"voicebotActionPlayAudio":{"nextActionId":"a1e714d7-4507-4879-b9d7-b5efb1643a49","audioPath":"","name":""},"voicebotActionPlayText":{"nextActionId":"4e6b30bd-19fe-4041-bcdb-77fff0eb0d5c","message":""},"voicebotActionSetVariableValue":{"variableName":"","value":"","nextActionId":"ffa760a6-def3-4517-a399-49a5b0fb169e"},"voicebotActionStart":{"nextActionId":"f526f2fc-49a6-4e20-b954-e0d22824d017"},"voicebotActionTransferCall":{"actionIdWhenTransferFailed":"9ffce41d-260c-4df0-a0e7-95136c4fadf2","transferTo":""},"voicebotActionWebhook":{"ifSendChatTranscript":true,"url":"","otherResponseToActionId":"64760a4e-d78e-4f7c-961d-fcbcb0cd9ea7","additionalPostBody":"","voicebotActionWebhookHeaders":[{"value":"","order":1,"key":""}],"voicebotActionWebhookResponseCodeToActions":[{"responseCode":"","nextActionId":"44018834-86bf-4109-8061-afe3f98733f1","order":1}],"voicebotActionWebhookResponseToVariables":[{"order":1,"responseKey":"","variableName":""}]}}]}}' ``` Response: HTTP/1.1 201 Created ``` { "trigger": "", "voicebotResponseId": "", "voicebotId": "", "id": "44018834-86bf-4109-8061-afe3f98733f1", "voicebotResponse": { "id": "44018834-86bf-4109-8061-afe3f98733f1", "voicebotActions": [ { "xPosition": 1, "yPosition": 1, "id": "44018834-86bf-4109-8061-afe3f98733f1", "type": "", "voicebotResponseId": "", "voicebotActionClearValue": { "variableNames": [ "" ], "voicebotActionId": "", "nextActionId": "f526f2fc-49a6-4e20-b954-e0d22824d017" }, "voicebotActionCollectDTMFDigits": { "message": "", "variableName": "", "numberOfDigits": 1, "stopGatherAfterPressKey": "", "voicebotActionId": "", "nextActionId": "d486a8a3-35f9-42fe-ab16-d9b44786e41b" }, "voicebotActionCollectSpeechResponse": { "message": "", "variableName": "", "lowSTTConfidenceMessage": "", "lowSTTConfidenceRepeatTimes": 1, "isConfirmationRequired": true, "confirmationMessage": "", "confirmationText": "", "confirmationKey": "", "voicebotActionId": "", "actionIdWhenLowSTTConfidence": "eefe4538-bec3-47ef-89ea-879b59a16941", "nextActionId": "33d7d509-15e0-4366-a5e0-373a0156b491" }, "voicebotActionCondition": { "otherCaseActionId": "7396de03-33b3-4358-be0c-5c1b243d6950", "voicebotActionId": "", "voicebotActionConditionCases": [ { "logicalExpression": "", "goToActionId": "28593b3e-26a6-46af-bb2b-b8919b30ce39", "conditionExpressionType": "", "voicebotActionId": "", "id": "deef4e3a-932d-4c8e-9c9e-e63419ff8dc4", "order": 1, "voicebotActionConditionCaseConditions": [ { "voicebotActionConditionCaseId": "", "order": 1, "operator": "", "fieldName": "{!Variable.Name}", "value": "", "id": "5b8d5c3a-2f16-4c9f-bfb6-4767d7b0db8a" } ] } ] }, "voicebotActionEndCall": { "voicebotActionId": "" }, "voicebotActionGoToIntent": { "intentId": "ffa760a6-def3-4517-a399-49a5b0fb169e", "voicebotActionId": "" }, "voicebotActionIVRMenu": { "voicebotActionId": "", "actionIdWhenInvalidInput": "9ffce41d-260c-4df0-a0e7-95136c4fadf2", "message": "", "invalidInputMessage": "", "invalidInputRepeatTime": 1, "voicebotActionIVRMenuOptions": [ { "id": "d486a8a3-35f9-42fe-ab16-d9b44786e41b", "voicebotActionId": "", "nextActionId": "6c2be44f-c391-4454-8ebe-8d3503905e5a", "text": "", "key": "", "order": 1 } ] }, "voicebotActionPlayAudio": { "voicebotActionId": "", "nextActionId": "a1e714d7-4507-4879-b9d7-b5efb1643a49", "audioPath": "", "name": "" }, "voicebotActionPlayText": { "voicebotActionId": "", "nextActionId": "4e6b30bd-19fe-4041-bcdb-77fff0eb0d5c", "message": "" }, "voicebotActionSetVariableValue": { "variableName": "", "value": "", "nextActionId": "ffa760a6-def3-4517-a399-49a5b0fb169e", "voicebotActionId": "" }, "voicebotActionStart": { "voicebotActionId": "", "nextActionId": "f526f2fc-49a6-4e20-b954-e0d22824d017" }, "voicebotActionTransferCall": { "voicebotActionId": "", "actionIdWhenTransferFailed": "9ffce41d-260c-4df0-a0e7-95136c4fadf2", "transferTo": "" }, "voicebotActionWebhook": { "ifSendChatTranscript": true, "url": "", "voicebotActionId": "", "otherResponseToActionId": "64760a4e-d78e-4f7c-961d-fcbcb0cd9ea7", "additionalPostBody": "", "voicebotActionWebhookHeaders": [ { "value": "", "id": "44018834-86bf-4109-8061-afe3f98733f1", "order": 1, "key": "", "voicebotActionId": "" } ], "voicebotActionWebhookResponseCodeToActions": [ { "responseCode": "", "nextActionId": "44018834-86bf-4109-8061-afe3f98733f1", "order": 1, "id": "44018834-86bf-4109-8061-afe3f98733f1", "voicebotActionId": "" } ], "voicebotActionWebhookResponseToVariables": [ { "voicebotActionId": "", "order": 1, "id": "44018834-86bf-4109-8061-afe3f98733f1", "responseKey": "", "variableName": "" } ] } } ] } } ``` ### Update the Voicebot Smart Trigger `PUT voicebot/voicebotSmartTriggers/{id}` - #### Parameters: | Name | Type | in | Required | Description | | --- | --- | --- | --- | --- | | `trigger` | enum | body | no | Allowed values are `flowFinished`, `notRecognized`, `callStarts`. | | `voicebotResponseId` | guid | body | no | Id of the voicebot Response. | | `voicebotId` | guid | body | yes | Id of the voicebot. | | `voicebotResponse` | [voicebotResponse](/docs/server-api-bot-voicebot-smart-trigger#voicebot-response-json-format) | body | no | Reference to Voicebot Response. | - #### Response: [Voicebot Smart Trigger](/docs/server-api-bot-voicebot-smart-trigger#voicebot-smart-trigger-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/voicebot/voicebotSmartTriggers/44018834-86bf-4109-8061-afe3f98733f1 \ -X 'PUT' \ -H 'Authorization: Bearer {access_token}' \ -H 'Content-Type: application/json' \ -D '{"trigger":"","voicebotResponseId":"","voicebotId":"","voicebotResponse":{"voicebotActions":[{"xPosition":1,"yPosition":1,"type":"","voicebotActionClearValue":{"variableNames":[""],"nextActionId":"f526f2fc-49a6-4e20-b954-e0d22824d017"},"voicebotActionCollectDTMFDigits":{"message":"","variableName":"","numberOfDigits":1,"stopGatherAfterPressKey":"","nextActionId":"d486a8a3-35f9-42fe-ab16-d9b44786e41b"},"voicebotActionCollectSpeechResponse":{"message":"","variableName":"","lowSTTConfidenceMessage":"","lowSTTConfidenceRepeatTimes":1,"isConfirmationRequired":true,"confirmationMessage":"","confirmationText":"","confirmationKey":"","actionIdWhenLowSTTConfidence":"eefe4538-bec3-47ef-89ea-879b59a16941","nextActionId":"33d7d509-15e0-4366-a5e0-373a0156b491"},"voicebotActionCondition":{"otherCaseActionId":"7396de03-33b3-4358-be0c-5c1b243d6950","voicebotActionConditionCases":[{"logicalExpression":"","goToActionId":"28593b3e-26a6-46af-bb2b-b8919b30ce39","conditionExpressionType":"","order":1,"voicebotActionConditionCaseConditions":[{"order":1,"operator":"","fieldName":"{!Variable.Name}","value":""}]}]},"voicebotActionEndCall":{},"voicebotActionGoToIntent":{"intentId":"ffa760a6-def3-4517-a399-49a5b0fb169e"},"voicebotActionIVRMenu":{"actionIdWhenInvalidInput":"9ffce41d-260c-4df0-a0e7-95136c4fadf2","message":"","invalidInputMessage":"","invalidInputRepeatTime":1,"voicebotActionIVRMenuOptions":[{"nextActionId":"6c2be44f-c391-4454-8ebe-8d3503905e5a","text":"","key":"","order":1}]},"voicebotActionPlayAudio":{"nextActionId":"a1e714d7-4507-4879-b9d7-b5efb1643a49","audioPath":"","name":""},"voicebotActionPlayText":{"nextActionId":"4e6b30bd-19fe-4041-bcdb-77fff0eb0d5c","message":""},"voicebotActionSetVariableValue":{"variableName":"","value":"","nextActionId":"ffa760a6-def3-4517-a399-49a5b0fb169e"},"voicebotActionStart":{"nextActionId":"f526f2fc-49a6-4e20-b954-e0d22824d017"},"voicebotActionTransferCall":{"actionIdWhenTransferFailed":"9ffce41d-260c-4df0-a0e7-95136c4fadf2","transferTo":""},"voicebotActionWebhook":{"ifSendChatTranscript":true,"url":"","otherResponseToActionId":"64760a4e-d78e-4f7c-961d-fcbcb0cd9ea7","additionalPostBody":"","voicebotActionWebhookHeaders":[{"value":"","order":1,"key":""}],"voicebotActionWebhookResponseCodeToActions":[{"responseCode":"","nextActionId":"44018834-86bf-4109-8061-afe3f98733f1","order":1}],"voicebotActionWebhookResponseToVariables":[{"order":1,"responseKey":"","variableName":""}]}}]}}' ``` Response: HTTP/1.1 200 OK ``` { "trigger": "", "voicebotResponseId": "", "voicebotId": "", "id": "44018834-86bf-4109-8061-afe3f98733f1", "voicebotResponse": { "id": "44018834-86bf-4109-8061-afe3f98733f1", "voicebotActions": [ { "xPosition": 1, "yPosition": 1, "id": "44018834-86bf-4109-8061-afe3f98733f1", "type": "", "voicebotResponseId": "", "voicebotActionClearValue": { "variableNames": [ "" ], "voicebotActionId": "", "nextActionId": "f526f2fc-49a6-4e20-b954-e0d22824d017" }, "voicebotActionCollectDTMFDigits": { "message": "", "variableName": "", "numberOfDigits": 1, "stopGatherAfterPressKey": "", "voicebotActionId": "", "nextActionId": "d486a8a3-35f9-42fe-ab16-d9b44786e41b" }, "voicebotActionCollectSpeechResponse": { "message": "", "variableName": "", "lowSTTConfidenceMessage": "", "lowSTTConfidenceRepeatTimes": 1, "isConfirmationRequired": true, "confirmationMessage": "", "confirmationText": "", "confirmationKey": "", "voicebotActionId": "", "actionIdWhenLowSTTConfidence": "eefe4538-bec3-47ef-89ea-879b59a16941", "nextActionId": "33d7d509-15e0-4366-a5e0-373a0156b491" }, "voicebotActionCondition": { "otherCaseActionId": "7396de03-33b3-4358-be0c-5c1b243d6950", "voicebotActionId": "", "voicebotActionConditionCases": [ { "logicalExpression": "", "goToActionId": "28593b3e-26a6-46af-bb2b-b8919b30ce39", "conditionExpressionType": "", "voicebotActionId": "", "id": "deef4e3a-932d-4c8e-9c9e-e63419ff8dc4", "order": 1, "voicebotActionConditionCaseConditions": [ { "voicebotActionConditionCaseId": "", "order": 1, "operator": "", "fieldName": "{!Variable.Name}", "value": "", "id": "5b8d5c3a-2f16-4c9f-bfb6-4767d7b0db8a" } ] } ] }, "voicebotActionEndCall": { "voicebotActionId": "" }, "voicebotActionGoToIntent": { "intentId": "ffa760a6-def3-4517-a399-49a5b0fb169e", "voicebotActionId": "" }, "voicebotActionIVRMenu": { "voicebotActionId": "", "actionIdWhenInvalidInput": "9ffce41d-260c-4df0-a0e7-95136c4fadf2", "message": "", "invalidInputMessage": "", "invalidInputRepeatTime": 1, "voicebotActionIVRMenuOptions": [ { "id": "d486a8a3-35f9-42fe-ab16-d9b44786e41b", "voicebotActionId": "", "nextActionId": "6c2be44f-c391-4454-8ebe-8d3503905e5a", "text": "", "key": "", "order": 1 } ] }, "voicebotActionPlayAudio": { "voicebotActionId": "", "nextActionId": "a1e714d7-4507-4879-b9d7-b5efb1643a49", "audioPath": "", "name": "" }, "voicebotActionPlayText": { "voicebotActionId": "", "nextActionId": "4e6b30bd-19fe-4041-bcdb-77fff0eb0d5c", "message": "" }, "voicebotActionSetVariableValue": { "variableName": "", "value": "", "nextActionId": "ffa760a6-def3-4517-a399-49a5b0fb169e", "voicebotActionId": "" }, "voicebotActionStart": { "voicebotActionId": "", "nextActionId": "f526f2fc-49a6-4e20-b954-e0d22824d017" }, "voicebotActionTransferCall": { "voicebotActionId": "", "actionIdWhenTransferFailed": "9ffce41d-260c-4df0-a0e7-95136c4fadf2", "transferTo": "" }, "voicebotActionWebhook": { "ifSendChatTranscript": true, "url": "", "voicebotActionId": "", "otherResponseToActionId": "64760a4e-d78e-4f7c-961d-fcbcb0cd9ea7", "additionalPostBody": "", "voicebotActionWebhookHeaders": [ { "value": "", "id": "44018834-86bf-4109-8061-afe3f98733f1", "order": 1, "key": "", "voicebotActionId": "" } ], "voicebotActionWebhookResponseCodeToActions": [ { "responseCode": "", "nextActionId": "44018834-86bf-4109-8061-afe3f98733f1", "order": 1, "id": "44018834-86bf-4109-8061-afe3f98733f1", "voicebotActionId": "" } ], "voicebotActionWebhookResponseToVariables": [ { "voicebotActionId": "", "order": 1, "id": "44018834-86bf-4109-8061-afe3f98733f1", "responseKey": "", "variableName": "" } ] } } ] } } ``` ### Remove the Voicebot Smart Trigger `DELETE voicebot/voicebotSmartTriggers/{id}` - #### Parameters: No Parameters - #### Response: No Content - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/voicebot/voicebotSmartTriggers/44018834-86bf-4109-8061-afe3f98733f1 \ -X 'DELETE' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 204 No Content ### Voicebot Response JSON Format Voicebot Response is represented as simple flat JSON objects with the following keys: | Name | Type | Description | | --- | --- | --- | | `id` | guid | Id of the voicebot Response. | | `voicebotActions` | [voicebotActions[]](/x2/docs/server-api-bot-voicebot-action) | Reference to VoiceBot Action. | ### Get the list of Voicebot Response `GET voicebot/voicebotResponses` - #### Parameters: | Name | Type | in | Required | Description | | --- | --- | --- | --- | --- | | `include` | string | query | no | Allowed value is `voicebotAction`. | - #### Response: An array of [Voicebot Response](/docs/server-api-bot-voicebot-smart-trigger#voicebot-response-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/voicebot/voicebotResponses \ -X 'GET' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` [ { "id": "44018834-86bf-4109-8061-afe3f98733f1", "voicebotActions": [ { "xPosition": 1, "yPosition": 1, "id": "44018834-86bf-4109-8061-afe3f98733f1", "type": "", "voicebotResponseId": "", "voicebotActionClearValue": { "variableNames": [ "" ], "voicebotActionId": "", "nextActionId": "f526f2fc-49a6-4e20-b954-e0d22824d017" }, "voicebotActionCollectDTMFDigits": { "message": "", "variableName": "", "numberOfDigits": 1, "stopGatherAfterPressKey": "", "voicebotActionId": "", "nextActionId": "d486a8a3-35f9-42fe-ab16-d9b44786e41b" }, "voicebotActionCollectSpeechResponse": { "message": "", "variableName": "", "lowSTTConfidenceMessage": "", "lowSTTConfidenceRepeatTimes": 1, "isConfirmationRequired": true, "confirmationMessage": "", "confirmationText": "", "confirmationKey": "", "voicebotActionId": "", "actionIdWhenLowSTTConfidence": "eefe4538-bec3-47ef-89ea-879b59a16941", "nextActionId": "33d7d509-15e0-4366-a5e0-373a0156b491" }, "voicebotActionCondition": { "otherCaseActionId": "7396de03-33b3-4358-be0c-5c1b243d6950", "voicebotActionId": "", "voicebotActionConditionCases": [ { "logicalExpression": "", "goToActionId": "28593b3e-26a6-46af-bb2b-b8919b30ce39", "conditionExpressionType": "", "voicebotActionId": "", "id": "deef4e3a-932d-4c8e-9c9e-e63419ff8dc4", "order": 1, "voicebotActionConditionCaseConditions": [ { "voicebotActionConditionCaseId": "", "order": 1, "operator": "", "fieldName": "{!Variable.Name}", "value": "", "id": "5b8d5c3a-2f16-4c9f-bfb6-4767d7b0db8a" } ] } ] }, "voicebotActionEndCall": { "voicebotActionId": "" }, "voicebotActionGoToIntent": { "intentId": "ffa760a6-def3-4517-a399-49a5b0fb169e", "voicebotActionId": "" }, "voicebotActionIVRMenu": { "voicebotActionId": "", "actionIdWhenInvalidInput": "9ffce41d-260c-4df0-a0e7-95136c4fadf2", "message": "", "invalidInputMessage": "", "invalidInputRepeatTime": 1, "voicebotActionIVRMenuOptions": [ { "id": "d486a8a3-35f9-42fe-ab16-d9b44786e41b", "voicebotActionId": "", "nextActionId": "6c2be44f-c391-4454-8ebe-8d3503905e5a", "text": "", "key": "", "order": 1 } ] }, "voicebotActionPlayAudio": { "voicebotActionId": "", "nextActionId": "a1e714d7-4507-4879-b9d7-b5efb1643a49", "audioPath": "", "name": "" }, "voicebotActionPlayText": { "voicebotActionId": "", "nextActionId": "4e6b30bd-19fe-4041-bcdb-77fff0eb0d5c", "message": "" }, "voicebotActionSetVariableValue": { "variableName": "", "value": "", "nextActionId": "ffa760a6-def3-4517-a399-49a5b0fb169e", "voicebotActionId": "" }, "voicebotActionStart": { "voicebotActionId": "", "nextActionId": "f526f2fc-49a6-4e20-b954-e0d22824d017" }, "voicebotActionTransferCall": { "voicebotActionId": "", "actionIdWhenTransferFailed": "9ffce41d-260c-4df0-a0e7-95136c4fadf2", "transferTo": "" }, "voicebotActionWebhook": { "ifSendChatTranscript": true, "url": "", "voicebotActionId": "", "otherResponseToActionId": "64760a4e-d78e-4f7c-961d-fcbcb0cd9ea7", "additionalPostBody": "", "voicebotActionWebhookHeaders": [ { "value": "", "id": "44018834-86bf-4109-8061-afe3f98733f1", "order": 1, "key": "", "voicebotActionId": "" } ], "voicebotActionWebhookResponseCodeToActions": [ { "responseCode": "", "nextActionId": "44018834-86bf-4109-8061-afe3f98733f1", "order": 1, "id": "44018834-86bf-4109-8061-afe3f98733f1", "voicebotActionId": "" } ], "voicebotActionWebhookResponseToVariables": [ { "voicebotActionId": "", "order": 1, "id": "44018834-86bf-4109-8061-afe3f98733f1", "responseKey": "", "variableName": "" } ] } } ] } ] ``` ### Get a single Voicebot Response `GET voicebot/voicebotResponses/{id}` - #### Parameters: | Name | Type | in | Required | Description | | --- | --- | --- | --- | --- | | `include` | string | query | no | Allowed value is `voicebotAction`. | - #### Response: [Voicebot Response](/docs/server-api-bot-voicebot-smart-trigger#voicebot-response-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/voicebot/voicebotResponses/44018834-86bf-4109-8061-afe3f98733f1 \ -X 'GET' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` { "id": "44018834-86bf-4109-8061-afe3f98733f1", "voicebotActions": [ { "xPosition": 1, "yPosition": 1, "id": "44018834-86bf-4109-8061-afe3f98733f1", "type": "", "voicebotResponseId": "", "voicebotActionClearValue": { "variableNames": [ "" ], "voicebotActionId": "", "nextActionId": "f526f2fc-49a6-4e20-b954-e0d22824d017" }, "voicebotActionCollectDTMFDigits": { "message": "", "variableName": "", "numberOfDigits": 1, "stopGatherAfterPressKey": "", "voicebotActionId": "", "nextActionId": "d486a8a3-35f9-42fe-ab16-d9b44786e41b" }, "voicebotActionCollectSpeechResponse": { "message": "", "variableName": "", "lowSTTConfidenceMessage": "", "lowSTTConfidenceRepeatTimes": 1, "isConfirmationRequired": true, "confirmationMessage": "", "confirmationText": "", "confirmationKey": "", "voicebotActionId": "", "actionIdWhenLowSTTConfidence": "eefe4538-bec3-47ef-89ea-879b59a16941", "nextActionId": "33d7d509-15e0-4366-a5e0-373a0156b491" }, "voicebotActionCondition": { "otherCaseActionId": "7396de03-33b3-4358-be0c-5c1b243d6950", "voicebotActionId": "", "voicebotActionConditionCases": [ { "logicalExpression": "", "goToActionId": "28593b3e-26a6-46af-bb2b-b8919b30ce39", "conditionExpressionType": "", "voicebotActionId": "", "id": "deef4e3a-932d-4c8e-9c9e-e63419ff8dc4", "order": 1, "voicebotActionConditionCaseConditions": [ { "voicebotActionConditionCaseId": "", "order": 1, "operator": "", "fieldName": "{!Variable.Name}", "value": "", "id": "5b8d5c3a-2f16-4c9f-bfb6-4767d7b0db8a" } ] } ] }, "voicebotActionEndCall": { "voicebotActionId": "" }, "voicebotActionGoToIntent": { "intentId": "ffa760a6-def3-4517-a399-49a5b0fb169e", "voicebotActionId": "" }, "voicebotActionIVRMenu": { "voicebotActionId": "", "actionIdWhenInvalidInput": "9ffce41d-260c-4df0-a0e7-95136c4fadf2", "message": "", "invalidInputMessage": "", "invalidInputRepeatTime": 1, "voicebotActionIVRMenuOptions": [ { "id": "d486a8a3-35f9-42fe-ab16-d9b44786e41b", "voicebotActionId": "", "nextActionId": "6c2be44f-c391-4454-8ebe-8d3503905e5a", "text": "", "key": "", "order": 1 } ] }, "voicebotActionPlayAudio": { "voicebotActionId": "", "nextActionId": "a1e714d7-4507-4879-b9d7-b5efb1643a49", "audioPath": "", "name": "" }, "voicebotActionPlayText": { "voicebotActionId": "", "nextActionId": "4e6b30bd-19fe-4041-bcdb-77fff0eb0d5c", "message": "" }, "voicebotActionSetVariableValue": { "variableName": "", "value": "", "nextActionId": "ffa760a6-def3-4517-a399-49a5b0fb169e", "voicebotActionId": "" }, "voicebotActionStart": { "voicebotActionId": "", "nextActionId": "f526f2fc-49a6-4e20-b954-e0d22824d017" }, "voicebotActionTransferCall": { "voicebotActionId": "", "actionIdWhenTransferFailed": "9ffce41d-260c-4df0-a0e7-95136c4fadf2", "transferTo": "" }, "voicebotActionWebhook": { "ifSendChatTranscript": true, "url": "", "voicebotActionId": "", "otherResponseToActionId": "64760a4e-d78e-4f7c-961d-fcbcb0cd9ea7", "additionalPostBody": "", "voicebotActionWebhookHeaders": [ { "value": "", "id": "44018834-86bf-4109-8061-afe3f98733f1", "order": 1, "key": "", "voicebotActionId": "" } ], "voicebotActionWebhookResponseCodeToActions": [ { "responseCode": "", "nextActionId": "44018834-86bf-4109-8061-afe3f98733f1", "order": 1, "id": "44018834-86bf-4109-8061-afe3f98733f1", "voicebotActionId": "" } ], "voicebotActionWebhookResponseToVariables": [ { "voicebotActionId": "", "order": 1, "id": "44018834-86bf-4109-8061-afe3f98733f1", "responseKey": "", "variableName": "" } ] } } ] } ``` ### Create a new Voicebot Response `POST voicebot/voicebotResponses` - #### Parameters: | Name | Type | in | Required | Description | | --- | --- | --- | --- | --- | | `voicebotActions` | [voicebotActions[]](/x2/docs/server-api-bot-voicebot-action) | body | no | Reference to VoiceBot Action. | - #### Response: [Voicebot Response](/docs/server-api-bot-voicebot-smart-trigger#voicebot-response-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/voicebot/voicebotResponses \ -X 'POST' \ -H 'Authorization: Bearer {access_token}' \ -H 'Content-Type: application/json' \ -D '{"voicebotActions":[{"xPosition":1,"yPosition":1,"type":"","voicebotActionClearValue":{"variableNames":[""],"nextActionId":"f526f2fc-49a6-4e20-b954-e0d22824d017"},"voicebotActionCollectDTMFDigits":{"message":"","variableName":"","numberOfDigits":1,"stopGatherAfterPressKey":"","nextActionId":"d486a8a3-35f9-42fe-ab16-d9b44786e41b"},"voicebotActionCollectSpeechResponse":{"message":"","variableName":"","lowSTTConfidenceMessage":"","lowSTTConfidenceRepeatTimes":1,"isConfirmationRequired":true,"confirmationMessage":"","confirmationText":"","confirmationKey":"","actionIdWhenLowSTTConfidence":"eefe4538-bec3-47ef-89ea-879b59a16941","nextActionId":"33d7d509-15e0-4366-a5e0-373a0156b491"},"voicebotActionCondition":{"otherCaseActionId":"7396de03-33b3-4358-be0c-5c1b243d6950","voicebotActionConditionCases":[{"logicalExpression":"","goToActionId":"28593b3e-26a6-46af-bb2b-b8919b30ce39","conditionExpressionType":"","order":1,"voicebotActionConditionCaseConditions":[{"order":1,"operator":"","fieldName":"{!Variable.Name}","value":""}]}]},"voicebotActionEndCall":{},"voicebotActionGoToIntent":{"intentId":"ffa760a6-def3-4517-a399-49a5b0fb169e"},"voicebotActionIVRMenu":{"actionIdWhenInvalidInput":"9ffce41d-260c-4df0-a0e7-95136c4fadf2","message":"","invalidInputMessage":"","invalidInputRepeatTime":1,"voicebotActionIVRMenuOptions":[{"nextActionId":"6c2be44f-c391-4454-8ebe-8d3503905e5a","text":"","key":"","order":1}]},"voicebotActionPlayAudio":{"nextActionId":"a1e714d7-4507-4879-b9d7-b5efb1643a49","audioPath":"","name":""},"voicebotActionPlayText":{"nextActionId":"4e6b30bd-19fe-4041-bcdb-77fff0eb0d5c","message":""},"voicebotActionSetVariableValue":{"variableName":"","value":"","nextActionId":"ffa760a6-def3-4517-a399-49a5b0fb169e"},"voicebotActionStart":{"nextActionId":"f526f2fc-49a6-4e20-b954-e0d22824d017"},"voicebotActionTransferCall":{"actionIdWhenTransferFailed":"9ffce41d-260c-4df0-a0e7-95136c4fadf2","transferTo":""},"voicebotActionWebhook":{"ifSendChatTranscript":true,"url":"","otherResponseToActionId":"64760a4e-d78e-4f7c-961d-fcbcb0cd9ea7","additionalPostBody":"","voicebotActionWebhookHeaders":[{"value":"","order":1,"key":""}],"voicebotActionWebhookResponseCodeToActions":[{"responseCode":"","nextActionId":"44018834-86bf-4109-8061-afe3f98733f1","order":1}],"voicebotActionWebhookResponseToVariables":[{"order":1,"responseKey":"","variableName":""}]}}]}' ``` Response: HTTP/1.1 201 Created ``` { "id": "44018834-86bf-4109-8061-afe3f98733f1", "voicebotActions": [ { "xPosition": 1, "yPosition": 1, "id": "44018834-86bf-4109-8061-afe3f98733f1", "type": "", "voicebotResponseId": "", "voicebotActionClearValue": { "variableNames": [ "" ], "voicebotActionId": "", "nextActionId": "f526f2fc-49a6-4e20-b954-e0d22824d017" }, "voicebotActionCollectDTMFDigits": { "message": "", "variableName": "", "numberOfDigits": 1, "stopGatherAfterPressKey": "", "voicebotActionId": "", "nextActionId": "d486a8a3-35f9-42fe-ab16-d9b44786e41b" }, "voicebotActionCollectSpeechResponse": { "message": "", "variableName": "", "lowSTTConfidenceMessage": "", "lowSTTConfidenceRepeatTimes": 1, "isConfirmationRequired": true, "confirmationMessage": "", "confirmationText": "", "confirmationKey": "", "voicebotActionId": "", "actionIdWhenLowSTTConfidence": "eefe4538-bec3-47ef-89ea-879b59a16941", "nextActionId": "33d7d509-15e0-4366-a5e0-373a0156b491" }, "voicebotActionCondition": { "otherCaseActionId": "7396de03-33b3-4358-be0c-5c1b243d6950", "voicebotActionId": "", "voicebotActionConditionCases": [ { "logicalExpression": "", "goToActionId": "28593b3e-26a6-46af-bb2b-b8919b30ce39", "conditionExpressionType": "", "voicebotActionId": "", "id": "deef4e3a-932d-4c8e-9c9e-e63419ff8dc4", "order": 1, "voicebotActionConditionCaseConditions": [ { "voicebotActionConditionCaseId": "", "order": 1, "operator": "", "fieldName": "{!Variable.Name}", "value": "", "id": "5b8d5c3a-2f16-4c9f-bfb6-4767d7b0db8a" } ] } ] }, "voicebotActionEndCall": { "voicebotActionId": "" }, "voicebotActionGoToIntent": { "intentId": "ffa760a6-def3-4517-a399-49a5b0fb169e", "voicebotActionId": "" }, "voicebotActionIVRMenu": { "voicebotActionId": "", "actionIdWhenInvalidInput": "9ffce41d-260c-4df0-a0e7-95136c4fadf2", "message": "", "invalidInputMessage": "", "invalidInputRepeatTime": 1, "voicebotActionIVRMenuOptions": [ { "id": "d486a8a3-35f9-42fe-ab16-d9b44786e41b", "voicebotActionId": "", "nextActionId": "6c2be44f-c391-4454-8ebe-8d3503905e5a", "text": "", "key": "", "order": 1 } ] }, "voicebotActionPlayAudio": { "voicebotActionId": "", "nextActionId": "a1e714d7-4507-4879-b9d7-b5efb1643a49", "audioPath": "", "name": "" }, "voicebotActionPlayText": { "voicebotActionId": "", "nextActionId": "4e6b30bd-19fe-4041-bcdb-77fff0eb0d5c", "message": "" }, "voicebotActionSetVariableValue": { "variableName": "", "value": "", "nextActionId": "ffa760a6-def3-4517-a399-49a5b0fb169e", "voicebotActionId": "" }, "voicebotActionStart": { "voicebotActionId": "", "nextActionId": "f526f2fc-49a6-4e20-b954-e0d22824d017" }, "voicebotActionTransferCall": { "voicebotActionId": "", "actionIdWhenTransferFailed": "9ffce41d-260c-4df0-a0e7-95136c4fadf2", "transferTo": "" }, "voicebotActionWebhook": { "ifSendChatTranscript": true, "url": "", "voicebotActionId": "", "otherResponseToActionId": "64760a4e-d78e-4f7c-961d-fcbcb0cd9ea7", "additionalPostBody": "", "voicebotActionWebhookHeaders": [ { "value": "", "id": "44018834-86bf-4109-8061-afe3f98733f1", "order": 1, "key": "", "voicebotActionId": "" } ], "voicebotActionWebhookResponseCodeToActions": [ { "responseCode": "", "nextActionId": "44018834-86bf-4109-8061-afe3f98733f1", "order": 1, "id": "44018834-86bf-4109-8061-afe3f98733f1", "voicebotActionId": "" } ], "voicebotActionWebhookResponseToVariables": [ { "voicebotActionId": "", "order": 1, "id": "44018834-86bf-4109-8061-afe3f98733f1", "responseKey": "", "variableName": "" } ] } } ] } ``` ### Update the Voicebot Response `PUT voicebot/voicebotResponses/{id}` - #### Parameters: | Name | Type | in | Required | Description | | --- | --- | --- | --- | --- | | `voicebotActions` | [voicebotActions[]](/x2/docs/server-api-bot-voicebot-action) | body | no | Reference to VoiceBot Action. | - #### Response: [Voicebot Response](/docs/server-api-bot-voicebot-smart-trigger#voicebot-response-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/voicebot/voicebotResponses/44018834-86bf-4109-8061-afe3f98733f1 \ -X 'PUT' \ -H 'Authorization: Bearer {access_token}' \ -H 'Content-Type: application/json' \ -D '{"voicebotActions":[{"xPosition":1,"yPosition":1,"type":"","voicebotActionClearValue":{"variableNames":[""],"nextActionId":"f526f2fc-49a6-4e20-b954-e0d22824d017"},"voicebotActionCollectDTMFDigits":{"message":"","variableName":"","numberOfDigits":1,"stopGatherAfterPressKey":"","nextActionId":"d486a8a3-35f9-42fe-ab16-d9b44786e41b"},"voicebotActionCollectSpeechResponse":{"message":"","variableName":"","lowSTTConfidenceMessage":"","lowSTTConfidenceRepeatTimes":1,"isConfirmationRequired":true,"confirmationMessage":"","confirmationText":"","confirmationKey":"","actionIdWhenLowSTTConfidence":"eefe4538-bec3-47ef-89ea-879b59a16941","nextActionId":"33d7d509-15e0-4366-a5e0-373a0156b491"},"voicebotActionCondition":{"otherCaseActionId":"7396de03-33b3-4358-be0c-5c1b243d6950","voicebotActionConditionCases":[{"logicalExpression":"","goToActionId":"28593b3e-26a6-46af-bb2b-b8919b30ce39","conditionExpressionType":"","order":1,"voicebotActionConditionCaseConditions":[{"order":1,"operator":"","fieldName":"{!Variable.Name}","value":""}]}]},"voicebotActionEndCall":{},"voicebotActionGoToIntent":{"intentId":"ffa760a6-def3-4517-a399-49a5b0fb169e"},"voicebotActionIVRMenu":{"actionIdWhenInvalidInput":"9ffce41d-260c-4df0-a0e7-95136c4fadf2","message":"","invalidInputMessage":"","invalidInputRepeatTime":1,"voicebotActionIVRMenuOptions":[{"nextActionId":"6c2be44f-c391-4454-8ebe-8d3503905e5a","text":"","key":"","order":1}]},"voicebotActionPlayAudio":{"nextActionId":"a1e714d7-4507-4879-b9d7-b5efb1643a49","audioPath":"","name":""},"voicebotActionPlayText":{"nextActionId":"4e6b30bd-19fe-4041-bcdb-77fff0eb0d5c","message":""},"voicebotActionSetVariableValue":{"variableName":"","value":"","nextActionId":"ffa760a6-def3-4517-a399-49a5b0fb169e"},"voicebotActionStart":{"nextActionId":"f526f2fc-49a6-4e20-b954-e0d22824d017"},"voicebotActionTransferCall":{"actionIdWhenTransferFailed":"9ffce41d-260c-4df0-a0e7-95136c4fadf2","transferTo":""},"voicebotActionWebhook":{"ifSendChatTranscript":true,"url":"","otherResponseToActionId":"64760a4e-d78e-4f7c-961d-fcbcb0cd9ea7","additionalPostBody":"","voicebotActionWebhookHeaders":[{"value":"","order":1,"key":""}],"voicebotActionWebhookResponseCodeToActions":[{"responseCode":"","nextActionId":"44018834-86bf-4109-8061-afe3f98733f1","order":1}],"voicebotActionWebhookResponseToVariables":[{"order":1,"responseKey":"","variableName":""}]}}]}' ``` Response: HTTP/1.1 200 OK ``` { "id": "44018834-86bf-4109-8061-afe3f98733f1", "voicebotActions": [ { "xPosition": 1, "yPosition": 1, "id": "44018834-86bf-4109-8061-afe3f98733f1", "type": "", "voicebotResponseId": "", "voicebotActionClearValue": { "variableNames": [ "" ], "voicebotActionId": "", "nextActionId": "f526f2fc-49a6-4e20-b954-e0d22824d017" }, "voicebotActionCollectDTMFDigits": { "message": "", "variableName": "", "numberOfDigits": 1, "stopGatherAfterPressKey": "", "voicebotActionId": "", "nextActionId": "d486a8a3-35f9-42fe-ab16-d9b44786e41b" }, "voicebotActionCollectSpeechResponse": { "message": "", "variableName": "", "lowSTTConfidenceMessage": "", "lowSTTConfidenceRepeatTimes": 1, "isConfirmationRequired": true, "confirmationMessage": "", "confirmationText": "", "confirmationKey": "", "voicebotActionId": "", "actionIdWhenLowSTTConfidence": "eefe4538-bec3-47ef-89ea-879b59a16941", "nextActionId": "33d7d509-15e0-4366-a5e0-373a0156b491" }, "voicebotActionCondition": { "otherCaseActionId": "7396de03-33b3-4358-be0c-5c1b243d6950", "voicebotActionId": "", "voicebotActionConditionCases": [ { "logicalExpression": "", "goToActionId": "28593b3e-26a6-46af-bb2b-b8919b30ce39", "conditionExpressionType": "", "voicebotActionId": "", "id": "deef4e3a-932d-4c8e-9c9e-e63419ff8dc4", "order": 1, "voicebotActionConditionCaseConditions": [ { "voicebotActionConditionCaseId": "", "order": 1, "operator": "", "fieldName": "{!Variable.Name}", "value": "", "id": "5b8d5c3a-2f16-4c9f-bfb6-4767d7b0db8a" } ] } ] }, "voicebotActionEndCall": { "voicebotActionId": "" }, "voicebotActionGoToIntent": { "intentId": "ffa760a6-def3-4517-a399-49a5b0fb169e", "voicebotActionId": "" }, "voicebotActionIVRMenu": { "voicebotActionId": "", "actionIdWhenInvalidInput": "9ffce41d-260c-4df0-a0e7-95136c4fadf2", "message": "", "invalidInputMessage": "", "invalidInputRepeatTime": 1, "voicebotActionIVRMenuOptions": [ { "id": "d486a8a3-35f9-42fe-ab16-d9b44786e41b", "voicebotActionId": "", "nextActionId": "6c2be44f-c391-4454-8ebe-8d3503905e5a", "text": "", "key": "", "order": 1 } ] }, "voicebotActionPlayAudio": { "voicebotActionId": "", "nextActionId": "a1e714d7-4507-4879-b9d7-b5efb1643a49", "audioPath": "", "name": "" }, "voicebotActionPlayText": { "voicebotActionId": "", "nextActionId": "4e6b30bd-19fe-4041-bcdb-77fff0eb0d5c", "message": "" }, "voicebotActionSetVariableValue": { "variableName": "", "value": "", "nextActionId": "ffa760a6-def3-4517-a399-49a5b0fb169e", "voicebotActionId": "" }, "voicebotActionStart": { "voicebotActionId": "", "nextActionId": "f526f2fc-49a6-4e20-b954-e0d22824d017" }, "voicebotActionTransferCall": { "voicebotActionId": "", "actionIdWhenTransferFailed": "9ffce41d-260c-4df0-a0e7-95136c4fadf2", "transferTo": "" }, "voicebotActionWebhook": { "ifSendChatTranscript": true, "url": "", "voicebotActionId": "", "otherResponseToActionId": "64760a4e-d78e-4f7c-961d-fcbcb0cd9ea7", "additionalPostBody": "", "voicebotActionWebhookHeaders": [ { "value": "", "id": "44018834-86bf-4109-8061-afe3f98733f1", "order": 1, "key": "", "voicebotActionId": "" } ], "voicebotActionWebhookResponseCodeToActions": [ { "responseCode": "", "nextActionId": "44018834-86bf-4109-8061-afe3f98733f1", "order": 1, "id": "44018834-86bf-4109-8061-afe3f98733f1", "voicebotActionId": "" } ], "voicebotActionWebhookResponseToVariables": [ { "voicebotActionId": "", "order": 1, "id": "44018834-86bf-4109-8061-afe3f98733f1", "responseKey": "", "variableName": "" } ] } } ] } ``` ### Remove the Voicebot Response `DELETE voicebot/voicebotResponses/{id}` - #### Parameters: No Parameters - #### Response: No Content - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/voicebot/voicebotResponses/44018834-86bf-4109-8061-afe3f98733f1 \ -X 'DELETE' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 204 No Content © 2021 | [Comm100](https://www.comm100.com)